Bug 641967 - Review Request: aether - Sonatype library to resolve, install and deploy artifacts the Maven way
Summary: Review Request: aether - Sonatype library to resolve, install and deploy arti...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-11 16:18 UTC by Stanislav Ochotnicky
Modified: 2010-10-14 07:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-14 07:46:21 UTC
Type: ---
akurtako: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Stanislav Ochotnicky 2010-10-11 16:18:54 UTC
Spec URL: http://sochotni.fedorapeople.org/packages/aether.spec
SRPM URL: http://sochotni.fedorapeople.org/packages/aether-1.7-1.fc13.src.rpm

Description: Aether is standalone library to resolve, install and deploy artifacts the Maven way developed by Sonatype

Comment 1 Alexander Kurtakov 2010-10-12 20:12:51 UTC
I'm taking this one.

Comment 2 Alexander Kurtakov 2010-10-12 20:25:34 UTC
=== REQUIRED ITEMS ===
[!]  Rpmlint output:
W: spelling-error Summary(en_US) Sonatype -> Sonatina, Sonata, Somatotype
Not a problem 
W: invalid-url Source0: http://download.github.com/sonatype-sonatype-aether-aether-1.7-0-g6ef7c04.tar.gz HTTP Error 404: Not Found
Please explain how did you end with this url.

[X]  Package is named according to the Package Naming Guidelines.
[X]  Spec file name must match the base package name, in the format %{name}.spec.
[X]  Package meets the Packaging Guidelines.
[X]  Package successfully compiles and builds into binary rpms.
[X]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
[X]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[X]  License field in the package spec file matches the actual license.
License type: ASL 2.0
[-]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-]  All independent sub-packages have license of their own
[X]  Spec file is legible and written in American English.
[-]  Sources used to build the package matches the upstream source, as provided in the spec URL.
[X]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[X]  Package must own all directories that it creates.
[X]  Package requires other packages for directories it uses.
[X]  Package does not contain duplicates in %files.
[X]  Permissions on files are set properly.
[X]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[X]  Package consistently uses macros.
[X]  Package contains code, or permissable content.
[X]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[X]  Package does not own files or directories owned by other packages.
[X]  Javadoc documentation files are generated and included in -javadoc subpackage
[X]  Packages have proper BuildRequires/Requires on jpackage-utils
[X]  Javadoc subpackages have Require: jpackage-utils
[X]  Package uses %global not %define
[X]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[X]  If source tarball includes bundled jar/class files these need to be removed prior to building
[X]  All filenames in rpm packages must be valid UTF-8.

=== Maven ===
[X]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven2.jpp.depmap.file=*" explain why it's needed in a comment
[X]  Package uses %update_maven_depmap in %post/%postun
[X]  Packages have Requires(post) and Requires(postun) on jpackage-utils (for %update_maven_depmap macro)

=== Other suggestions ===
[X]  If possible use upstream build method (maven/ant/javac)
[X]  Javadocs are placed in %{_javadocdir}/%{name}-%{version} with %{_javadocdir}/%{name} symlink
[X]  Jar files are installed to %{_javadir}/%{name}-%{version}.jar with %{_javadir}/%{name}.jar (unversioned) symlink
[X]  If package contains pom.xml files install it (including depmaps) even when building with ant 
[X]  Avoid having BuildRequires on exact NVR unless necessary
[X]  Package has BuildArch: noarch (if possible)
[X]  Latest version is packaged.
[X]  Reviewer should test that the package builds in mock.

Issues:
1. Add comment how to find the download url
2. Remove noreplace for config. We want the depmaps to be replaced on every install not to keep user's changes.

Comment 3 Stanislav Ochotnicky 2010-10-13 07:49:38 UTC
* Wed Oct 13 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.7-2
- Explained how to get tarball properly
- Removed noreplace on depmap fragment

Spec URL: http://sochotni.fedorapeople.org/packages/aether.spec
SRPM URL: http://sochotni.fedorapeople.org/packages/aether-1.7-2.fc13.src.rpm

Comment 4 Alexander Kurtakov 2010-10-13 08:25:13 UTC
Thanks,
This package is APPROVED.

Comment 5 Stanislav Ochotnicky 2010-10-13 08:27:55 UTC
Thanks for the review. Requesting repo

New Package CVS Request
=======================
Package Name: aether
Short Description: Sonatype library to resolve, install and deploy artifacts the Maven way
Owners: sochotni
Branches: f14
InitialCC:

Comment 6 Tom "spot" Callaway 2010-10-13 15:21:09 UTC
Git done (by process-git-requests).

Comment 7 Stanislav Ochotnicky 2010-10-14 07:46:21 UTC
Package built. Thanks for fast repos

http://koji.fedoraproject.org/koji/taskinfo?taskID=2532655


Note You need to log in before you can comment on or make changes to this bug.